# Generated with ❤ by mx_sdk_vm_impl.py
ImageName=libnative-image-diagnostics-agent
ImagePath=${.}/../../..
ImageModulePath=${.}/../../../graalvm/jvmti-agent-base.jar\:${.}/../../../graalvm/svm-diagnostics-agent.jar\:${.}/../../../graalvm/svm-driver.jar
Args=--no-fallback \
     -march\=compatibility \
     -Dorg.graalvm.version\=23.1.5 \
     -H\:+UnlockExperimentalVMOptions \
     -H\:+AssertInitializationSpecifiedForAllClasses \
     -H\:+EnforceMaxRuntimeCompileMethods \
     -H\:-UnlockExperimentalVMOptions \
     -g \
     --link-at-build-time \
     -H\:+UnlockExperimentalVMOptions \
     -H\:+ProfilingEnableProfileDumpHooks \
     -H\:-UnlockExperimentalVMOptions \
     --shared \
     --features\=com.oracle.svm.driver.APIOptionFeature \
     --initialize-at-build-time\=com.oracle.svm.driver \
     --link-at-build-time\=com.oracle.svm.driver,com.oracle.svm.driver.metainf \
     --features\=com.oracle.svm.diagnosticsagent.NativeImageDiagnosticsAgent$RegistrationFeature \
     --add-exports\=java.base/jdk.internal.jimage\=org.graalvm.nativeimage.driver \
     --add-exports\=java.base/jdk.internal.loader\=org.graalvm.nativeimage.agent.diagnostics \
     --add-exports\=java.base/jdk.internal.org.objectweb.asm\=org.graalvm.nativeimage.agent.diagnostics
